namespace IRaCIS.Core.Domain.Models;

[Comment("医生计费 - 每月支付记录表")]
[Table("PaymentAdjustment")]
public partial class PaymentAdjustment : BaseFullAuditEntity
{
    public Guid ReviewerId { get; set; }

    public DateTime YearMonthDate { get; set; }
    public string YearMonth { get; set; } = string.Empty;

    [DecimalPrecision(18, 2)]
    public decimal AdjustmentUSD { get; set; }

    [DecimalPrecision(18, 4)]
    public decimal AdjustmentCNY { get; set; }
    public Guid TrialId { get; set; } = Guid.Empty;

    [DecimalPrecision(18, 2)]
    public decimal ExchangeRate { get; set; }
    public bool IsLock { get; set; } = false;
    public string Note { get; set; } = string.Empty;

}
